function [xh,th,uh,niter]=heat(xspan,tspan,deltax,deltat,...
  theta,ut0,ux1,ux2,mu,f);
  % Risolve l'equazione del calore
  % u_t = mu*u_xx + f
  % col teta-metodo
  % Al*uh(k+1,:) = Ar*uh(k,:)+b(k+1,:);
  % Descrivere i parametri formali
  %
  % The grid
  Nx=((xspan(2)-xspan(1))/deltax)+1;
  xh=linspace(xspan(1),xspan(2),Nx);
  Nt=((tspan(2)-tspan(1))/deltat)+1;
  th=linspace(tspan(1),tspan(2),Nt);
  % Initialization of the approximate solution
  uh=zeros(Nx,Nt);
  % Initial conditions
  uh(:,1)=ut0(xh);
  uh(1,:)=ux1(th);
  uh(Nx,:)=ux2(th);
  % Initialization
  ide=speye(Nx,Nx);
  e=ones(Nx,1);
  Afd=spdiags([-e 2*e -e],[-1,0,1],Nx,Nx);
  Al=ide+mu*(deltat/deltax^2)*theta*Afd;
  Ar=ide-mu*(deltat/deltax^2)*(1-theta)*Afd;
  % Do not touch values at the endpoints of the heated bar
  Al(1,:)=1; Al(1,1)=1; Al(Nx,:)=0; Al(Nx,Nx)=1;
  Ar(1,:)=1; Ar(1,1)=1; Ar(Nx,:)=0; Ar(Nx,Nx)=1;
  [ll,ul]=lu(Al);
  Alm1=inv(ul)*inv(ll);
  disp("ciucciamelo");
  pause;
  for i=1:Nt-1
    uh(:,th(i+1))=Alm1*(Ar*uh(:,th(i))+...
    deltat*(theta*f(xh,th(i+1)) + (1-theta)*f(xh,th(i))));
  end
end

