function dome_ang=rhs_euler_tot(ome_ang,t,inertia)
  % input:
  % the vector of principal moments of inertia and
  % the angular velocity and the euler angles,
  % ome_ang(1) = omega_1
  % ome_ang(2) = omega_2
  % ome_ang(3) = omega_3
  % ome_ang(4) = psi
  % ome_ang(5) = theta
  % ome_ang(6) = phi
  % t, the vector of times
  % output: the right-hand side of Euler equations
  % and the right-hand side of the equations for the Euler angles
  dome_ang(1)=((inertia(2)-inertia(3))/inertia(1))*ome_ang(2)*ome_ang(3);
  dome_ang(2)=((inertia(3)-inertia(1))/inertia(2))*ome_ang(3)*ome_ang(1);
  dome_ang(3)=((inertia(1)-inertia(2))/inertia(3))*ome_ang(1)*ome_ang(2);
  dome_ang(4)=(1/sin(ome_ang(5)))*(sin(ome_ang(6))*ome_ang(1) + ...
				   cos(ome_ang(6))*ome_ang(2));
  dome_ang(5)=(1/sin(ome_ang(5)))*(cos(ome_ang(6))*ome_ang(1) - ...
				   sin(ome_ang(6))*ome_ang(2));
  dome_ang(6)=(1/sin(ome_ang(5)))*( ...
		- cos(ome_ang(5))*sin(ome_ang(6))*ome_ang(1) - ...
		- cos(ome_ang(6))*cos(ome_ang(5))*ome_ang(2) + ...
                ome_ang(3));
end
