function dome_ang=rhs_lagrange_tot(ome_ang,t,inertia,c_mass,m,g)
  % input:
  % ome_ang:
  % the angular velocity, the euler angles, the coordinates of i_3;
  % ome_ang(1) = omega_1
  % ome_ang(2) = omega_2
  % ome_ang(3) = omega_3
  % ome_ang(4) = psi
  % ome_ang(5) = theta
  % ome_ang(6) = phi
  % ome_ang(7) = u1
  % ome_ang(8) = u2
  % ome_ang(9) = u3
  % t, the vector of times
  % inertia: the vector of principal inertia moments
  % c_mass: the position of the center of mass in the comoving frame
  %
  % output:
  % the right-hand side of Euler equations
  % and the right-hand side of the equations for the Euler angles
  dome_ang(1)=((inertia(2)-inertia(3))/inertia(1))*ome_ang(2)*ome_ang(3)...
   +m*g*(ome_ang(8)*c_mass(3)-ome_ang(9)*c_mass(2));
  dome_ang(2)=((inertia(3)-inertia(1))/inertia(2))*ome_ang(3)*ome_ang(1)...
   +m*g*(ome_ang(9)*c_mass(1)-ome_ang(7)*c_mass(3));
  dome_ang(3)=((inertia(1)-inertia(2))/inertia(3))*ome_ang(1)*ome_ang(2)...
   +m*g*(ome_ang(7)*c_mass(2)-ome_ang(8)*c_mass(1));
  dome_ang(4)=(1/sin(ome_ang(5)))*(sin(ome_ang(6))*ome_ang(1) + ...
				   cos(ome_ang(6))*ome_ang(2));
  dome_ang(5)=(1/sin(ome_ang(5)))*(cos(ome_ang(6))*ome_ang(1) - ...
				   sin(ome_ang(6))*ome_ang(2));
  dome_ang(6)=(1/sin(ome_ang(5)))*( ...
		- cos(ome_ang(5))*sin(ome_ang(6))*ome_ang(1) - ...
		- cos(ome_ang(6))*cos(ome_ang(5))*ome_ang(2) + ...
                ome_ang(3));
  dome_ang(7)=-ome_ang(9)*ome_ang(2)+ome_ang(8)*ome_ang(3);
  dome_ang(8)=-ome_ang(7)*ome_ang(3)+ome_ang(9)*ome_ang(1);
  dome_ang(9)=-ome_ang(8)*ome_ang(1)+ome_ang(7)*ome_ang(2);
end
